Skip to content

Get Artist Metadata from Providers

GET
/api/metadata/search/artists
curl --request GET \
--url 'https://example.com/api/metadata/search/artists?artist=example'

Gets artist results from all metadata providers. Send the header Accept: application/x-ndjson to get results as newline-delimited JSON, one line per provider as soon as it finishes: {"type":"result","service":"...","data":[...]} or {"type":"error","service":"...","error":{...}}, followed by a final {"type":"done"} line.

artist
required
Any of:
string
/^(arid|spotify):[\s\S]{0,}$/

Success